
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_ter_contacto_equipo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_ter_contacto_equipo]
GO
CREATE PROCEDURE [reg_ter_contacto_equipo]
	@p_id INT
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[contacto_equipo] AS [contacto_equipo],
		[id_equipo] AS [id_equipo],
		[id_usuario] AS [id_usuario],
		[id_contacto] AS [id_contacto]
	FROM [ter_contacto_equipo]
	WHERE	(id = @p_id)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_ter_contacto_equipo]')) DROP VIEW [dbo].[view_ter_contacto_equipo]
GO
CREATE  VIEW [view_ter_contacto_equipo] AS
SELECT 	[ter_contacto_equipo].[id] AS [id],
		[ter_contacto_equipo].[uid] AS [uid],
		[ter_contacto_equipo].[eid] AS [eid],
		[ter_contacto_equipo].[id_usuario_modifico] AS [id_usuario_modifico],
		[ter_contacto_equipo].[id_usuario_creo] AS [id_usuario_creo],
		[ter_contacto_equipo].[fechaModificacion] AS [fechaModificacion],
		[ter_contacto_equipo].[fechaCreacion] AS [fechaCreacion],
		[ter_contacto_equipo].[active] AS [active],
		[ter_contacto_equipo].[contacto_equipo] AS [contacto_equipo],
		[ter_contacto_equipo].[id_equipo] AS [id_equipo],
[equ_equipo].[equipo] as [equ_equipo_equipo],
[equ_equipo].[equipo_codigo] as [equ_equipo_equipo_codigo],
[equ_equipo].[equipo_serial] as [equ_equipo_equipo_serial],
[equ_equipo].[nombreContacto] as [equ_equipo_nombreContacto],
[equ_equipo].[telefonoContacto] as [equ_equipo_telefonoContacto],
[equ_equipo].[ubicacion] as [equ_equipo_ubicacion],
[equ_equipo].[observaciones] as [equ_equipo_observaciones],
[equ_equipo].[fechaPuestaMarcha_fh] as [equ_equipo_fechaPuestaMarcha_fh],
[equ_equipo].[vencimientoGarantiaFabrica_ff] as [equ_equipo_vencimientoGarantiaFabrica_ff],
[equ_equipo].[vencimientoGarantiaDistribuidor_ff] as [equ_equipo_vencimientoGarantiaDistribuidor_ff],
[equ_equipo].[horasGarantia] as [equ_equipo_horasGarantia],
[equ_equipo].[ultimaLectura_fh] as [equ_equipo_ultimaLectura_fh],
[equ_equipo].[horometroActual] as [equ_equipo_horometroActual],
[equ_equipo].[promedioHoras] as [equ_equipo_promedioHoras],
[equ_equipo].[costo] as [equ_equipo_costo],
[equ_equipo].[fechaImportacion_ff] as [equ_equipo_fechaImportacion_ff],
[equ_equipo].[garantiaCancelada] as [equ_equipo_garantiaCancelada],
[equ_equipo].[id_catalogo.equipo] as [equ_equipo_id_catalogo.equipo],
[equ_equipo].[id_sistema] as [equ_equipo_id_sistema],
[equ_equipo].[id_sucursal] as [equ_equipo_id_sucursal],
[equ_equipo].[id_zona] as [equ_equipo_id_zona],
[equ_equipo].[id_versionEquipo] as [equ_equipo_id_versionEquipo],
[equ_equipo].[id_tercero_comprador] as [equ_equipo_id_tercero_comprador],
[equ_equipo].[id_tercero] as [equ_equipo_id_tercero],
[equ_equipo].[id_tercero_servicio] as [equ_equipo_id_tercero_servicio],
[equ_equipo].[id_equipo] as [equ_equipo_id_equipo],
[equ_equipo].[id_estadoEquipo] as [equ_equipo_id_estadoEquipo],
[equ_equipo].[id_centroCosto] as [equ_equipo_id_centroCosto],
		[ter_contacto_equipo].[id_usuario] AS [id_usuario],
[seg_usuario].[usuario] as [seg_usuario_usuario],
[seg_usuario].[usuario_codigo] as [seg_usuario_usuario_codigo],
[seg_usuario].[intentosFallidos] as [seg_usuario_intentosFallidos],
[seg_usuario].[numeroIngresos] as [seg_usuario_numeroIngresos],
[seg_usuario].[fechaUltimoIngreso_fh] as [seg_usuario_fechaUltimoIngreso_fh],
[seg_usuario].[fechaIntentoFallido_fh] as [seg_usuario_fechaIntentoFallido_fh],
[seg_usuario].[clave] as [seg_usuario_clave],
[seg_usuario].[nombre] as [seg_usuario_nombre],
[seg_usuario].[profesion] as [seg_usuario_profesion],
[seg_usuario].[email] as [seg_usuario_email],
[seg_usuario].[direccion] as [seg_usuario_direccion],
[seg_usuario].[telefono] as [seg_usuario_telefono],
[seg_usuario].[costoHora] as [seg_usuario_costoHora],
[seg_usuario].[porcentajeComision] as [seg_usuario_porcentajeComision],
[seg_usuario].[accesoActivo] as [seg_usuario_accesoActivo],
[seg_usuario].[cambiarClave] as [seg_usuario_cambiarClave],
[seg_usuario].[fechaUltimoCambioClave_fh] as [seg_usuario_fechaUltimoCambioClave_fh],
[seg_usuario].[aplicaRecargo] as [seg_usuario_aplicaRecargo],
[seg_usuario].[sexo] as [seg_usuario_sexo],
[seg_usuario].[id_perfil] as [seg_usuario_id_perfil],
[seg_usuario].[id_cargo] as [seg_usuario_id_cargo],
[seg_usuario].[id_grupo] as [seg_usuario_id_grupo],
[seg_usuario].[id_zona] as [seg_usuario_id_zona],
[seg_usuario].[identificacion] as [seg_usuario_identificacion],
[seg_usuario].[id_usuario] as [seg_usuario_id_usuario],
[seg_usuario].[preferencias] as [seg_usuario_preferencias],
[seg_usuario].[habilitado] as [seg_usuario_habilitado],
[seg_usuario].[idDispositivo] as [seg_usuario_idDispositivo],
		[ter_contacto_equipo].[id_contacto] AS [id_contacto],
[ter_contacto].[contacto] as [ter_contacto_contacto],
[ter_contacto].[contacto_codigo] as [ter_contacto_contacto_codigo],
[ter_contacto].[telefono] as [ter_contacto_telefono],
[ter_contacto].[Fax] as [ter_contacto_Fax],
[ter_contacto].[Email] as [ter_contacto_Email],
[ter_contacto].[Direccion] as [ter_contacto_Direccion],
[ter_contacto].[telefonoMovil] as [ter_contacto_telefonoMovil],
[ter_contacto].[id_tercero] as [ter_contacto_id_tercero],
[ter_contacto].[id_usuario] as [ter_contacto_id_usuario],
[ter_contacto].[cargo] as [ter_contacto_cargo],
[ter_contacto].[codigoAcceso] as [ter_contacto_codigoAcceso],
[ter_contacto].[id_cargoContacto] as [ter_contacto_id_cargoContacto],
[ter_contacto].[accesoActivo] as [ter_contacto_accesoActivo],
[ter_contacto].[ter_cargoContacto_id_usuario_Modifico] as [ter_contacto_ter_cargoContacto_id_usuario_Modifico],
[ter_contacto].[ter_cargoContacto_id_usuario_Creo] as [ter_contacto_ter_cargoContacto_id_usuario_Creo],
		[empresaCodigo].[empresa] As [multiempresa]
FROM [ter_contacto_equipo]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[ter_contacto_equipo].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[ter_contacto_equipo].[id_usuario_creo]
	INNER JOIN [equ_equipo] ON [equ_equipo].id=[ter_contacto_equipo].[id_equipo]
	INNER JOIN [seg_usuario] ON [seg_usuario].id=[ter_contacto_equipo].[id_usuario]
	INNER JOIN [ter_contacto] ON [ter_contacto].id=[ter_contacto_equipo].[id_contacto]
	INNER JOIN [gen_empresa] AS empresaCodigo ON [ter_contacto_equipo].eid = [empresaCodigo].[codigo] and empresaCodigo.active=1
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_ter_contacto_equiposXusuario_modifico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_ter_contacto_equiposXusuario_modifico]
GO
CREATE PROCEDURE [sel_ter_contacto_equiposXusuario_modifico]
	@p_id_usuario_modifico INT
AS
BEGIN
	SELECT * 
	FROM [view_ter_contacto_equipo]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_ter_contacto_equiposXusuario_creo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_ter_contacto_equiposXusuario_creo]
GO
CREATE PROCEDURE [sel_ter_contacto_equiposXusuario_creo]
	@p_id_usuario_creo INT
AS
BEGIN
	SELECT * 
	FROM [view_ter_contacto_equipo]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_ter_contacto_equiposXequipo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_ter_contacto_equiposXequipo]
GO
CREATE PROCEDURE [sel_ter_contacto_equiposXequipo]
	@p_id_equipo INT
AS
BEGIN
	SELECT * 
	FROM [view_ter_contacto_equipo]
	WHERE ([id_equipo]= @p_id_equipo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_ter_contacto_equiposXusuario]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_ter_contacto_equiposXusuario]
GO
CREATE PROCEDURE [sel_ter_contacto_equiposXusuario]
	@p_id_usuario INT
AS
BEGIN
	SELECT * 
	FROM [view_ter_contacto_equipo]
	WHERE ([id_usuario]= @p_id_usuario)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_ter_contacto_equiposXcontacto]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_ter_contacto_equiposXcontacto]
GO
CREATE PROCEDURE [sel_ter_contacto_equiposXcontacto]
	@p_id_contacto INT
AS
BEGIN
	SELECT * 
	FROM [view_ter_contacto_equipo]
	WHERE ([id_contacto]= @p_id_contacto)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_ter_contacto_equipos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_ter_contacto_equipos]
GO
CREATE PROCEDURE [sel_ter_contacto_equipos]
	
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_ter_contacto_equipo]
WHERE (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_ter_contacto_equipos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_ter_contacto_equipos]
GO
CREATE PROCEDURE [lis_ter_contacto_equipos]
	AS
BEGIN
	SELECT id AS id,
[contacto_equipo] AS [ter_contacto_equipo]
	FROM [ter_contacto_equipo]
	WHERE active = 1
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_ter_contacto_equipo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[upd_ter_contacto_equipo]
GO
CREATE PROCEDURE [upd_ter_contacto_equipo]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_contacto_equipo varchar(300) = null,
		@p_id_equipo int = null,
		@p_id_usuario int = null,
		@p_id_contacto int = null
AS
BEGIN
		UPDATE [ter_contacto_equipo]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[contacto_equipo] = isnull(@p_contacto_equipo,[contacto_equipo]),
			[id_equipo] = isnull(@p_id_equipo,[id_equipo]),
			[id_usuario] = isnull(@p_id_usuario,[id_usuario]),
			[id_contacto] = isnull(@p_id_contacto,[id_contacto])
		WHERE (id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_ter_contacto_equipo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_ter_contacto_equipo]
GO
CREATE PROCEDURE [ins_ter_contacto_equipo]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_contacto_equipo varchar(300),
		@p_id_equipo int,
		@p_id_usuario int,
		@p_id_contacto int
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [ter_contacto_equipo]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[contacto_equipo],
			[id_equipo],
			[id_usuario],
			[id_contacto])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_contacto_equipo,
			@p_id_equipo,
			@p_id_usuario,
			@p_id_contacto)
		SET @v_id = scope_identity()
UPDATE [ter_contacto_equipo] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[act_ter_contacto_equipo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[act_ter_contacto_equipo]
GO
CREATE PROCEDURE [act_ter_contacto_equipo]
	@p_active BIT,
	@p_id INT,
@p_id_usuario_modifico int = null
AS
BEGIN
	UPDATE [ter_contacto_equipo]
	SET active=@p_active,
	[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
	[fechaModificacion] = GETDATE()
	WHERE	(id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_ter_contacto_equipo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_ter_contacto_equipo_m]
GO
CREATE PROCEDURE [reg_ter_contacto_equipo_m]
	@p_id INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[contacto_equipo] AS [contacto_equipo],
		[id_equipo] AS [id_equipo],
		[id_usuario] AS [id_usuario],
		[id_contacto] AS [id_contacto]
	FROM [ter_contacto_equipo]
	WHERE	(id = @p_id)
	AND	(eid LIKE @p_eid+'%')

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_ter_contacto_equiposXusuario_modifico_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_ter_contacto_equiposXusuario_modifico_m]
GO
CREATE PROCEDURE [sel_ter_contacto_equiposXusuario_modifico_m]
	@p_id_usuario_modifico INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_ter_contacto_equipo]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_ter_contacto_equiposXusuario_creo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_ter_contacto_equiposXusuario_creo_m]
GO
CREATE PROCEDURE [sel_ter_contacto_equiposXusuario_creo_m]
	@p_id_usuario_creo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_ter_contacto_equipo]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_ter_contacto_equiposXequipo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_ter_contacto_equiposXequipo_m]
GO
CREATE PROCEDURE [sel_ter_contacto_equiposXequipo_m]
	@p_id_equipo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_ter_contacto_equipo]
	WHERE ([id_equipo]= @p_id_equipo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_ter_contacto_equiposXusuario_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_ter_contacto_equiposXusuario_m]
GO
CREATE PROCEDURE [sel_ter_contacto_equiposXusuario_m]
	@p_id_usuario INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_ter_contacto_equipo]
	WHERE ([id_usuario]= @p_id_usuario)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_ter_contacto_equiposXcontacto_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_ter_contacto_equiposXcontacto_m]
GO
CREATE PROCEDURE [sel_ter_contacto_equiposXcontacto_m]
	@p_id_contacto INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_ter_contacto_equipo]
	WHERE ([id_contacto]= @p_id_contacto)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_ter_contacto_equipos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_ter_contacto_equipos_m]
GO
CREATE PROCEDURE [sel_ter_contacto_equipos_m]
	@p_eid as varchar (50)='',
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_ter_contacto_equipo]
WHERE  (eid like '''+@p_eid+'%'+''' ) AND (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_ter_contacto_equipos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_ter_contacto_equipos_m]
GO
CREATE PROCEDURE [lis_ter_contacto_equipos_m]
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT id AS id,
[contacto_equipo] AS [ter_contacto_equipo]
	FROM [ter_contacto_equipo]
	WHERE active = 1
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aud_ter_contacto_equipo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[aud_ter_contacto_equipo]
GO
CREATE PROCEDURE [aud_ter_contacto_equipo]
	@p_filtro as varchar (8000) = '1=1'
AS
BEGIN
exec(	'SELECT [ter_contacto_equipo].id as id_tabla,
	[ter_contacto_equipo].id_usuario_modifico as id_usuario_modifico,
	[ter_contacto_equipo].id_usuario_creo as id_usuario_creo,
	[ter_contacto_equipo].fechaModificacion as fechaModificacion,
	[ter_contacto_equipo].fechaCreacion as fechaCreacion,
	[ter_contacto_equipo].active as active,
	[ter_contacto_equipo].[contacto_equipo] as campoPrincipal,
	[seg_usuario_creo].usuario as usuarioCreo,
	[seg_usuario_modifico].usuario as usuarioModifico

	FROM [ter_contacto_equipo]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[ter_contacto_equipo].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[ter_contacto_equipo].[id_usuario_creo]
	where ' + @p_filtro)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
print 'ter_contacto_equipo'
-----------------------------------2/10/2021 11:50:23 a. m.